Index: mplh5canvas/backend_h5canvas.py
===================================================================
--- mplh5canvas/backend_h5canvas.py     (revision 7)
+++ mplh5canvas/backend_h5canvas.py     (working copy)
@@ -247,9 +247,6 @@
             # This happens because HTML Canvas defines (0, 0) as the *top left* of a pixel instead of the center,
             # which causes all integer-valued coordinates to fall exactly between pixels
             points += 0.5
-            # Ignore directives with negative coordinates (sanity check that gets rid of some drawing artifacts)
-            if (points < 0).any():
-                continue
             if code == Path.MOVETO:
                 ctx.moveTo(points[0], points[1])
                 current_point = (points[0], points[1])
@@ -298,7 +295,11 @@
             self._do_path_clip(ctx, clip)
             self._last_clip = clip
         if clip is None and clippath is None and (self._last_clip is not None or self._last_clip_path is not None): self._reset_clip()
-        self._path_to_h5(ctx, path, transform, None, dashes=gc.get_dashes())
+        if rgbFace is None and gc.get_hatch() is None:
+            figure_clip = (0, 0, self.width, self.height)
+        else:
+            figure_clip = None
+        self._path_to_h5(ctx, path, transform, figure_clip, dashes=gc.get_dashes())
         if rgbFace is not None:
             ctx.fill()
             ctx.fillStyle = '#000000'
